from app.models.users import Users
from config import SUPPORT_EMAIL

def check_registration(bot, message,app):
    chat_id = message.chat.id
    username = f"{message.from_user.username}" if message.from_user.username else "N/A"

    with app.app_context():
        user = Users.query.filter_by(chat_id=chat_id).first()

    if not user:
        text = (
            f'❌ Вы не зарегистрированы.\n\n'
            f'Для продолжения регистрации необходимо отправить с корпоративного почтового адреса "РТ МИС" письмо на адрес {SUPPORT_EMAIL}\n'
            f'В теме письма указать "<b>Подтверждение регистрации в боте TeleZab</b>".\n'
            f'В теле письма указать:\n'
            f'1. <b>ФИО</b>\n'
            f'2. <b>Ваш Chat ID</b>: {chat_id}\n'
            f'3. <b>Ваше имя пользователя</b>: @{username}'
        )
        bot.send_message(chat_id, text, parse_mode="HTML", reply_markup=None)
        return None

    return user

def auth(chat_id,app) -> bool:
    """
    Проверка, есть ли chat_id в белом списке (whitelist)
    """
    with app.app_context():
        user = Users.query.filter_by(chat_id=chat_id).first()
    return user is not None